%define      gittime     20150104git
%define      srcname     %{name}
%define      srcversion  %{gittime}
%define      pyname      polkit_efl

%define      rel 18

Name:        python-polkit-efl-agent
Version:     0.1.0
Release:     %mkrel -c %{gittime} %{rel}
Summary:     Polkit-EFL is a user desktop session authentication agent
License:     GPLv3
Group:       Development/Python
Url:         https://git.enlightenment.org/misc/polkit-efl.git/
Source0:     %{srcname}-%{srcversion}.tar.bz2
# Fix for error: Multiple top-level packages discovered in a flat-layout: ['data', 'locale'].
# This fix does allow the building with pyproject for now, etc and share go to python lib directory.
Patch0:      pk-efl-agent-fix-build.patch
BuildRequires:  polkit-devel
BuildRequires:  efl
BuildArch:      noarch

%description
Polkit-EFL is a user desktop session authentication agent based on
python-efl. Install and leave it running in your desktop session. The
easiest way to do this is to add it to xdg autostart, a desktop file
is installed on your system for this purpose, use your DE's settings
to enable it. You may also launch it in a terminal.

%package -n python3-polkit-efl-agent
Summary:        Python3 implementation of Polkit-EFL
Group:          Development/Python
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-efl
BuildRequires:  python3-psutil
BuildArch:      noarch

Requires:       python3-efl
Requires:       python3-psutil
#the script calls pkconfig to get some variables!?
Requires:       polkit-devel

Provides:       polkit-agent = %{version}-%{release}
Provides:       polkit-efl-agent = %{version}-%{release}
%{?python_provide:%python_provide python3-polkit-efl-agent}

%description -n python3-polkit-efl-agent
%{summary}.

%prep
%autosetup -p1 -n %{srcname}-%{srcversion}


%build
%py3_build

%install
%py3_install

%find_lang polkit-efl

%files -n python3-polkit-efl-agent -f polkit-efl.lang
%doc README COPYING
%config(noreplace) %{_sysconfdir}/xdg/autostart/polkit-efl-authentication-agent-1.desktop
%{_bindir}/polkit-efl-authentication-agent-1
%{_datadir}/polkit-efl
%{python3_sitelib}/%{pyname}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Mar 02 2025 wally <wally> 0.1.0-0.20150104git.18.mga10
+ Revision: 2157349
- rebuild for python3.13

* Mon Feb 26 2024 daviddavid <daviddavid> 0.1.0-0.20150104git.17.mga10
+ Revision: 2044322
- rebuild for py3.12

* Sat Nov 12 2022 papoteur <papoteur> 0.1.0-0.20150104git.16.mga9
+ Revision: 1906143
- fix build where data structure is considered flat

* Tue Apr 05 2022 umeabot <umeabot> 0.1.0-0.20150104git.15.mga9
+ Revision: 1844182
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.1.0-0.20150104git.14.mga9
+ Revision: 1783328
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.1.0-0.20150104git.13.mga9
+ Revision: 1732374
- Rebuild for python 3.9

* Wed Oct 14 2020 eatdirt <eatdirt> 0.1.0-0.20150104git.12.mga8
+ Revision: 1635859
- Rebuild for new efl and python-efl

* Wed Apr 01 2020 wally <wally> 0.1.0-0.20150104git.11.mga8
+ Revision: 1563906
- drop conflicts

* Sun Feb 16 2020 umeabot <umeabot> 0.1.0-0.20150104git.10.mga8
+ Revision: 1535668
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 0.1.0-0.20150104git.9.mga8
+ Revision: 1452671
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 0.1.0-0.20150104git.8.mga7
+ Revision: 1353799
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.1.0-0.20150104git.7.mga7
+ Revision: 1289681
- Mageia 7 Mass Rebuild

* Thu Sep 20 2018 eatdirt <eatdirt> 0.1.0-0.20150104git.6.mga7
+ Revision: 1284254
- Rebuild for new efl

* Thu Mar 15 2018 eatdirt <eatdirt> 0.1.0-0.20150104git.5.mga7
+ Revision: 1209712
- Rebuild for new efl

* Sat Aug 05 2017 pterjan <pterjan> 0.1.0-0.20150104git.4.mga7
+ Revision: 1135550
- Rebuild for python 3.6

* Tue Dec 06 2016 eatdirt <eatdirt> 0.1.0-0.20150104git.3.mga6
+ Revision: 1072833
- Fix missing requires to polkit-devel

* Tue Nov 29 2016 eatdirt <eatdirt> 0.1.0-0.20150104git.2.mga6
+ Revision: 1070981
- Added provides for polkit-agent

* Mon Nov 28 2016 eatdirt <eatdirt> 0.1.0-0.20150104git.1.mga6
+ Revision: 1070583
- imported package python-polkit-efl-agent


* Fri Nov 25 2016 eatdirt <eatdirt@mageia.org> 0.1.0-0.20150104git.1.mga6
  - Import polkit-efl-agent to fix bug 19129
	
